Wrong CRS is set after disabling the OTFR (or switching tabs) in CRS dialog

2012-06-07 10:02 AM - Giuseppe Sucameli

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15263

Description

This bug was present in QGis 1.7.1, a similar problem resulted in segfaults in 1.7.2.

Here's the steps to reproduce it:

0. starting from EPSG:4326,

1. open the dialog to select the project CRS, 

2. enable the OTFR and set different a crs (e.g. EPSG:3003), 

3. switch to the General tab, 

4. then switch again to the CRS tab,

the previous CRS (EPSG:4326) is selected again.

Associated revisions

Revision 3066e1b7 - 2012-06-07 11:37 PM - Jürgen Fischer

fix #5759

History

#1 - 2012-06-07 10:08 AM - Giuseppe Sucameli

Probably the problem has come back after the refactoring of the CRS selector.

#2 - 2012-06-07 02:37 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3066e1b721059c8d4c45dd1291d5cc04c7675e79".

2024-04-25 1/1


